Package org.apache.jmeter.gui.action

# Class CollapseExpandTreeBranch

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.CollapseExpandTreeBranch

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class CollapseExpandTreeBranch extends AbstractAction
Processes the collapse and expand of a tree branch

## Constructor Summary

Constructors
Constructor
Description
`CollapseExpandTreeBranch()`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
This method performs the actual command processing.
`Set<String>`
`getActionNames()`
Gets the ActionNames attribute of the CollapseExpandTreeBranch object.

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CollapseExpandTreeBranch

public CollapseExpandTreeBranch()
Constructor

## Method Details

### getActionNames

public Set<String> getActionNames()
Gets the ActionNames attribute of the CollapseExpandTreeBranch object.

Returns:
  the ActionNames value

### doAction

public void doAction(ActionEvent e)
This method performs the actual command processing.

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
Parameters:
  `e` - the generic UI action event
See Also:
  - `Command.doAction(ActionEvent)`